create procedure rrhh.sp_verificarDocumentosPago
@txtCodempleado varchar(15),
@numPlanilla int,
@dbEnvios int output,
@dbGeneraciones int output,
@dbLiquido float output
as
begin
	set nocount on;
	select @dbEnvios = COUNT(distinct(envios.id)) from rrhh.det_procesosDocumentosPago envios inner join rrhh.datos_procesosDocumentosPago procesos on envios.idProceso = procesos.id and procesos.estado = 1 where envios.codempleado = @txtCodempleado and procesos.planilla = @numPlanilla and envios.estado = 1 AND envios.tipoProceso = 1;
	select @dbGeneraciones = COUNT(distinct(generaciones.id)) from rrhh.det_procesosDocumentosPago generaciones inner join rrhh.datos_procesosDocumentosPago procesos on generaciones.idProceso = procesos.id and procesos.estado = 1 where generaciones.codempleado = @txtCodempleado and procesos.planilla = @numPlanilla and generaciones.estado = 1 AND generaciones.tipoProceso IN(1,2);
	select top(1) @dbLiquido = sueldoLiquido from rrhh.view_pagosEmpleados where codempleado = @txtCodempleado and correlativo = @numPlanilla;
end